FAQ
kurila 1.12 released


Perl Kurila 1.12 isn't very exciting. But the next release will be
very different.


Highlights:

+ Using a list in scalar context will raise an error
+ All variables must be declared or fully qualified as with "use strict
'vars'"
+ "eval BOCK" has been changed to "try BLOCK"

Known bugs:
+ Documentation
+ Limited platform support

http://dev.tty.nl/static/kurila/doc/pod/kurila112delta.html
has a more complete list of the changes.



kurila 1.12 is released together with more than hundred modules,
available together at:
http://dev.tty.nl/static/kurila/kurila-bundle-1.12.tar.gz

kurila 1.12 without the CPAN modules is available at:
http://dev.tty.nl/static/kurila/kurila-1.12_0.tar.gz
And should become available on CPAN.
Or use git to get the latest version:
git-clone git://dev.tty.nl/perl



Perl Kurila is a dialect of Perl. With Perl 5 as ancestor it has a
solid base, but without the backwards compatibility
requirement of Perl 5, it is free to evolve into new directions.

More information about kurila is available at
http://dev.tty.nl/kurila.html



Standing on the shoulders of a red giant to face the future.

--
Gerard Goossen
TTY Internet Solutions
http://dev.tty.nl/

Search Discussions

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupperl5-porters @
categoriesperl
postedJun 12, '08 at 4:08p
activeJun 12, '08 at 4:08p
posts1
users1
websiteperl.org

1 user in discussion

Gerard Goossen: 1 post

People

Translate

site design / logo © 2022 Grokbase